<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns="http://www.irs.gov/efile" xmlns:xsd="http://www.w3.org/2001/XMLSchema" targetNamespace="http://www.irs.gov/efile" elementFormDefault="qualified" attributeFormDefault="unqualified" version="1.0">

	<xsd:annotation>
		<xsd:documentation>
			<Description>IRS e-file Corporate Income Tax Schema - Other Valuing Closing Method Statement</Description>
			<TaxYear>2018</TaxYear>
			<MaturityLevel>Final Release</MaturityLevel>
			<ReleaseDate>October 15, 2019</ReleaseDate>
		</xsd:documentation>
	</xsd:annotation>

	<xsd:include schemaLocation="../../../Common/efileTypes.xsd"/>


	<!-- ============================================================== -->
	<!-- =========  Other Valuing Closing Method Statement ============ -->
	<!-- ============================================================== -->


	<xsd:element name="OtherValuingClosingMethodStmt">
		<xsd:annotation>
			<xsd:documentation>Other valuing closing method statement</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:complexContent>
				<xsd:extension base="OthValuingClosingMthdStmtType">
					<xsd:attributeGroup ref="DocumentAttributes">
						<xsd:annotation>
							<xsd:documentation>Common return document attributes</xsd:documentation>
						</xsd:annotation>
					</xsd:attributeGroup>
					<xsd:attribute name="documentName" type="xsd:string" fixed="OtherValuingClosingMethodStatement">
						<xsd:annotation>
							<xsd:documentation>IRS internal use only. To avoid error in the return, do not include the attribute name or value.</xsd:documentation>
						</xsd:annotation>
					</xsd:attribute>
				</xsd:extension>
			</xsd:complexContent>
		</xsd:complexType>
	</xsd:element>	
	
	<xsd:complexType name="OthValuingClosingMthdStmtType">
		<xsd:annotation>
			<xsd:documentation>Content model for other valuing closing method statement</xsd:documentation>
		</xsd:annotation>
		<xsd:sequence>		
				
			<!-- Other Valuing Closing Method -->
			<xsd:element name="OtherValuingClosingMethodGrp" type="OtherValuingClosingMethodGrpType" minOccurs="0" maxOccurs="unbounded">	
				<xsd:annotation>
					<xsd:documentation>
						<Description>Other valuing closing method</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			
		</xsd:sequence>
	</xsd:complexType>		

	<!-- Type for Repeating Group - Other Valuing Closing Method -->
	<xsd:complexType name="OtherValuingClosingMethodGrpType">
		<xsd:sequence>		

			<!-- Corporation Name -->
			<xsd:element name="CorporationName" type="BusinessNameType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Corporation Name</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>			

			<!-- Choice between Corporation EIN, or Missing EIN Reason -->
			<xsd:choice minOccurs="0">
			
				<!-- Corporation EIN -->
				<xsd:element name="CorporationEIN" type="EINType">
					<xsd:annotation>
						<xsd:documentation>
							<Description>Corporation EIN</Description>
						</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				
				<!-- Missing EIN Reason -->
				<xsd:element name="MissingEINReasonCd">
					<xsd:annotation>
						<xsd:documentation>
							<Description>Missing EIN reason</Description>
						</xsd:documentation>
					</xsd:annotation>
					<xsd:simpleType>
						<xsd:restriction base="StringType">
							<xsd:enumeration value="APPLD FOR"/>
						</xsd:restriction>
					</xsd:simpleType>
				</xsd:element>
				
			</xsd:choice>						

			<!-- Method Used -->
			<xsd:element name="ValuationMethodUsedDesc" type="LineExplanationType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Method used</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			
			<!-- Explanation -->
			<xsd:element name="ShortExplanationTxt" type="ShortExplanationType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Explanation</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>			
						
		</xsd:sequence>
	</xsd:complexType>	
	
</xsd:schema>
